import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/contract/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/contract/getRightMenu', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contract/getSearchList', 'GET', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/contract/getSearchCondition', 'GET', params);
}

export const getFormInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contract/getContractForm', 'GET', params);
}

export const getContractTypeInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contract/getContractTypeInfo', 'POST', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contract/deleteContract', 'POST', params);
}

export const save = (params) => {
	return WeaTools.callApi('/api/hrm/contract/saveContract', 'POST', params);
}